## xfce4-notes-plugin 0.9.7

=== m4/Makefile ===
# Makefile.in generated by automake 1.7.5 from Makefile.am.
# m4/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# m4/Makefile.am
#

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/libxfce4util
pkglibdir = $(libdir)/libxfce4util
pkgincludedir = $(includedir)/libxfce4util
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
ACLOCAL = ${SHELL} /home/b0kaj/src/xfce-4.0.0/src/libxfce4util-4.0.0/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/b0kaj/src/xfce-4.0.0/src/libxfce4util-4.0.0/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/b0kaj/src/xfce-4.0.0/src/libxfce4util-4.0.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/b0kaj/src/xfce-4.0.0/src/libxfce4util-4.0.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/b0kaj/src/xfce-4.0.0/src/libxfce4util-4.0.0/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GLIB_CFLAGS = -I/home/b0kaj/garnome/include/glib-2.0 -I/home/b0kaj/garnome/lib/glib-2.0/include  
GLIB_LIBS = -L/home/b0kaj/garnome/lib -lglib-2.0  
GLIB_REQUIRED_VERSION = 2.0.0
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXFCE4UTIL_VERINFO = 1:0:0
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/b0kaj/src/xfce-4.0.0/src/libxfce4util-4.0.0/missing --run makeinfo
OBJEXT = o
PACKAGE = libxfce4util
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /home/b0kaj/garnome/bin/pkg-config
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 4.0.0
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/b0kaj/src/xfce-4.0.0/src/libxfce4util-4.0.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

m4dir = $(datadir)/xfce4/m4

m4_DATA = \
	X11.m4								\
	debug.m4							\
	depends.m4							\
	i18n.m4


EXTRA_DIST = \
	$(m4_DATA)

subdir = m4
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DATA = $(m4_DATA)

DIST_COMMON = Makefile.am Makefile.in
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  m4/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
m4DATA_INSTALL = $(INSTALL_DATA)
install-m4DATA: $(m4_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(m4dir)
	@list='$(m4_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(m4DATA_INSTALL) $$d$$p $(DESTDIR)$(m4dir)/$$f"; \
	  $(m4DATA_INSTALL) $$d$$p $(DESTDIR)$(m4dir)/$$f; \
	done

uninstall-m4DATA:
	@$(NORMAL_UNINSTALL)
	@list='$(m4_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(m4dir)/$$f"; \
	  rm -f $(DESTDIR)$(m4dir)/$$f; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(m4dir)
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-m4DATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am uninstall-m4DATA

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am install-info \
	install-info-am install-m4DATA install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am uninstall-m4DATA

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## xfce4-notes-plugin 1.7.6

=== debian/changelog ===
xfce4-notes-plugin (1.7.6-1build2) natty; urgency=low

  * No change rebuild against xfce4-panel 4.7.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 05 Dec 2010 13:02:05 +0100

xfce4-notes-plugin (1.7.6-1build1) maverick; urgency=low

  * Rebuild against updated xfce4-panel shlibs.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Thu, 10 Jun 2010 22:21:22 +0200

xfce4-notes-plugin (1.7.6-1) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * New upstream release.
  * Drop thunar-vfs support removed upstream:
    - debian/control: do not build-dep on libthunar-vfs-dev
    - debian/rules: do not pass --enable-fs-monitor to configure
    (thanks Mike Massonnet for the patch)                       closes: #575586
  * debian/xfce4-notes.install: updated to include theme files.
  * debian/control: adding myself to uploaders.

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 3.8.4.
  * debian/source/format created with "3.0 (quilt)".

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Fri, 23 Apr 2010 00:52:09 +0200

xfce4-notes-plugin (1.7.2-2) unstable; urgency=low

  * debian/control:
    - drop build-dep on binutils-gold added by mistake, fix FTBFS where
      binutils-gold isn't available.
  * correct typo in NEWS.Debian.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 13 Jan 2010 21:18:27 +0100

xfce4-notes-plugin (1.7.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - add build-dep on libunique-dev.
    - add a new xfce4-notes binary package so users can run notes without
      needing xfce4-panel.
    - add proper Conflicts/Replaces.
  * debian/rules rewritten using debhelper 7 because CDBS fails dh_install
    --fail-missing when using multiple packages.
  * bump debhelper build-dep because we use overrides.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 21 Dec 2009 23:44:10 +0100

xfce4-notes-plugin (1.7.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch edited to track Xfce archive reorganisation.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 03 Sep 2009 21:06:35 +0200

xfce4-notes-plugin (1.7.0-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Fix Vcs-* fields, they were missing 'trunk' in the path.

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/control:
    - update standards version to 3.8.2.
  * debian/copyright:
    - update licensing informations.
  * debian/patches:
    - 01_fix-implicit-pointer-conversion dropped.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 24 Jun 2009 08:33:14 +0200

xfce4-notes-plugin (1.6.4-3) unstable; urgency=low

  [ Evgeni Golov ]
  * debian/control:
    + Move to xfce section to match the override in the archive.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 05 May 2009 07:46:30 +0200

xfce4-notes-plugin (1.6.4-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - update standards version to 3.8.1.
    - bump debhelper build-dep to 7.
  * debian/compat bumped to 7.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 04 May 2009 21:32:31 +0200

xfce4-notes-plugin (1.6.4-1) experimental; urgency=low

  * new upstream release.
  * debian/watch: update url to report gz or bz2. Thanks Kibi!
  * debian/control: 
    - update standards version to 3.8.0.
    - add build dep on intltool, libx11-dev, pkg-config, libgtk2.0-dev,
      libxfcegui4-dev, libthunar-vfs-1-dev, libxfconf-0-dev
    - add dep on ${misc:Depends}.
  * debian/rules:
    - enable fs monitoring.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 28 Feb 2009 21:32:10 +0100

xfce4-notes-plugin (1.6.2-2) unstable; urgency=low

  * debian/patches: 01_fix-implicit-pointer-conversion added.   closes: #481972

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 25 May 2008 16:54:38 +0200

xfce4-notes-plugin (1.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: explicitely disable fs monitoring.
  * debian/copyright: update dates and copyrights holders.
  * debian/control: remove Rudy Godoy and Martin Loschwitz from Uploaders:.
    Thanks for your work!

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 05 May 2008 20:17:31 +0200

xfce4-notes-plugin (1.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 27 Dec 2007 23:43:26 +0100

xfce4-notes-plugin (1.6.0-1) unstable; urgency=low

  [ Simon Huggins ]
  * debian/control: Move fake Homepage field to a real one now dpkg
    supports it.
  * Add Vcs-* headers to debian/control

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/NEWS: provide informations about migration from notes plugin 1.2
    and 1.4.                                                    closes: #420733
  * debian/control:
    - updated standard versions to 3.7.3.
    - updated my email address.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 08 Dec 2007 06:32:48 +0100

xfce4-notes-plugin (1.4.1-1) unstable; urgency=low

  * New upstream relese.
  * debian/control: 
   - updated build-dep against Xfce 4.4.1
   - removed gtk from build-dep as it's pulled by xfce4-panel-dev anyway.
   - removed Jani from uploaders as he's not anymore in the team.

 -- Yves-Alexis Perez <corsac@corsac.net>  Thu, 19 Apr 2007 17:54:59 +0100

xfce4-notes-plugin (1.3.99.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: updated download url.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sat, 23 Sep 2006 15:40:42 +0100

xfce4-notes-plugin (1.2.3-2) unstable; urgency=low

  * debian/copyright, debian/control: updated description, author and
    copyright. 
  * Build-dep on version of panel with correct shlibs.

 -- Yves-Alexis Perez <corsac@corsac.net>  Wed, 26 Jul 2006 18:38:15 +0100

xfce4-notes-plugin (1.2.3-1) unstable; urgency=low

  * (Emanuele Rocca)
    - New upstream release, ported to the new panel.             closes: #370111
    - Updated standards version
  * (Yves-Alexis Perez)
    - debian/control: added build-deps on 4.3.90.2 (Xfce 4.4Beta2)


=== debian/control ===
Source: xfce4-notes-plugin
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Build-Depends: autotools-dev, cdbs, debhelper (>= 7.0.50~),
 xfce4-panel-dev (>= 4.7.0), libxml2-dev, libxml-parser-perl, intltool,
 libx11-dev, pkg-config, libgtk2.0-dev, libxfcegui4-dev, libxfconf-0-dev,
 libunique-dev
Uploaders: Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>,
 Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
Standards-Version: 3.8.4
Homepage: http://goodies.xfce.org/projects/panel-plugins/xfce4-notes-plugin
Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/xfce4-notes-plugin/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/xfce4-notes-plugin/

Package: xfce4-notes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: xfce4-notes-plugin (<< 1.7.2-1)
Conflicts: xfce4-notes-plugin (<< 1.7.2-1)
Description: Notes application for the Xfce4 desktop
 The notes tool provides you a simple text editor in a little window for the 
 Xfce 4 desktop.  Notes are especially useful for temporary stuff.
 .
 It supports multiple notes through a notebook. Click on the upper left
 corner button to open a new note.

Package: xfce4-notes-plugin
Architecture: any
Depends: xfce4-notes, ${shlibs:Depends}, ${misc:Depends}
Description: Notes plugin for the Xfce4 desktop
 The notes tool provides you a simple text editor in a little window for the 
 Xfce 4 desktop.  Notes are especially useful for temporary stuff.
 .
 It supports multiple notes through a notebook. Click on the upper left
 corner button to open a new note.
 .
 This package contains the xfce4-panel plugin.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,-z,defs -Wl,--as-needed

override_dh_install:
	-rm -rf debian/tmp/usr/lib/xfce4/panel-plugins/*.a
	-rm -rf debian/tmp/usr/lib/xfce4/panel-plugins/*.la
	dh_install --fail-missing

%:
	dh $@

## xfce4-notes-plugin 1.7.7

=== debian/changelog ===
xfce4-notes-plugin (1.7.7-5build1) vivid; urgency=medium

  * No-change rebuild for libxfce4util7

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 11 Mar 2015 22:07:26 -0400

xfce4-notes-plugin (1.7.7-5) unstable; urgency=medium

  * debian/rules:
    - use autotools_dev addon to update config.{guess,sub}. The dh-autoreconf
    entry in the previous changelog entry was actually never committed, so use
    a minimal fix for Jessie. Thanks Peter Green for the patch and
    pre-approval request.                              (really) closes: #765272

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 16 Nov 2014 21:26:12 +0100

xfce4-notes-plugin (1.7.7-4) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * debian/copyright: Convert to Debian format 1.0
  * debian/rules:
    - Add option for verbose mode

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 3.9.6.
  * debian/rules:
    - call xdt-autogen before running configure to regenerate
      config.{guess,sub} and gain support for new architectures closes: #765272

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 15 Oct 2014 21:19:49 +0200

xfce4-notes-plugin (1.7.7-3) unstable; urgency=low

  * debian/control:
    - update standards version to 3.9.4.
    - update debhelper build-dep to 9.
    - drop version on xfce4-panel-dev build-dep, stable has Xfce 4.8 now.
    - drop build-dep on hardening-includes. 
  * debian/rules:
    - enable parallel build.
    - use dpkg/debhelper hardening support. 
    - update paths for multiarch.
  * debian/compat bumped to 9.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 25 May 2013 17:02:48 +0200

xfce4-notes-plugin (1.7.7-2) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * Upload to unstable.
  * debian/control:
    - remove Simon and Emanuele from uploaders, thanks to them.
    - bump xfce4-panel-dev b-dep to (>= 4.8.0).

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 3.9.2.
    - drop cdbs build-dep. 

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Tue, 19 Apr 2011 23:16:11 +0200

xfce4-notes-plugin (1.7.7-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - update standards version to 3.9.1.
  * Switch to 3.0 (quilt) source format.
  * debian/rules:
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - add -O1, -z,defs and --as-needed to LDFLAGS.
    - add hardening flags to {C,LD}FLAGS.
    - ignore /usr/lib/xfce4/panel-plugins is dh_makeshlibs. 

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 27 Feb 2011 15:14:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: xfce
 Priority: optional
 Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
-Build-Depends: autotools-dev, cdbs, debhelper (>= 7.0.50~),
- xfce4-panel-dev (>= 4.7.0), libxml2-dev, libxml-parser-perl, intltool,
- libx11-dev, pkg-config, libgtk2.0-dev, libxfcegui4-dev, libxfconf-0-dev,
- libunique-dev
-Uploaders: Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>,
- Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
-Standards-Version: 3.8.4
+Uploaders: Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
+Build-Depends: autotools-dev, debhelper (>= 9), xfce4-panel-dev, libxml2-dev,
+ libxml-parser-perl, intltool, libx11-dev, pkg-config, libgtk2.0-dev,
+ libxfcegui4-dev, libxfconf-0-dev, libunique-dev, xfce4-dev-tools, automake,
+ libtool, autotools-dev
+Standards-Version: 3.9.6
 Homepage: http://goodies.xfce.org/projects/panel-plugins/xfce4-notes-plugin
-Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/xfce4-notes-plugin/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/xfce4-notes-plugin/
+Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-notes-plugin/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-notes-plugin/
 
 Package: xfce4-notes
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_install:
	-rm -rf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/xfce4/panel-plugins/*.la
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -n -X /usr/lib/xfce4/panel-plugins

%:
	dh $@ --with autotools_dev --parallel

## xfce4-notes-plugin 1.8.0

=== debian/changelog ===
xfce4-notes-plugin (1.8.0-1~14.04) trusty; urgency=medium

  * Backport to trusty.

 -- Sean Davis <smd.seandavis@gmail.com>  Fri, 05 Jun 2015 06:11:18 -0400

xfce4-notes-plugin (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - replace libxfcegui4 build-dep by libxfce4ui.
  * debian/patches:
    - 01_fix_format-string added, fix format string errors.
  * debian/rules:
    - update path for la files removal and dh_makeshlibs.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 May 2015 22:09:48 +0200

## xfce4-notes-plugin 1.8.1

=== debian/changelog ===
xfce4-notes-plugin (1.8.1-3) unstable; urgency=medium

  * d/control: update standards version to 4.4.0
  * use debhelper-compat b-d for dh compat level
  * d/control: bump dh compat level to 11

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 22 Aug 2019 09:32:05 +0200

xfce4-notes-plugin (1.8.1-2) unstable; urgency=medium

  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
                                                                closes: #899742
  * d/gbp.conf added, following DEP-14
  * run wrap-and-sort
  * d/watch: use HTTPS protocol
  * New upstream version 1.8.1
  * d/control: drop Lionel from uploaders, thanks!
  * d/control: update standards version to 4.2.1
  * d/control: use HTTPS protocol for Homepage field
  * d/control: drop breaks/replaces for old versions
  * update debhelper compat to 10
  * d/patches imported in gbp pq
  * d/copyright updated

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 17 Dec 2018 22:05:07 +0100

xfce4-notes-plugin (1.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 10 Jul 2015 08:07:58 +0200

=== debian/control ===
Source: xfce4-notes-plugin
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: automake,
               debhelper-compat (= 11),
               intltool,
               libgtk2.0-dev,
               libtool,
               libunique-dev,
               libx11-dev,
               libxfce4ui-1-dev,
               libxfconf-0-dev,
               libxml-parser-perl,
               libxml2-dev,
               pkg-config,
               xfce4-dev-tools,
               xfce4-panel-dev
Standards-Version: 4.4.0
Homepage: https://goodies.xfce.org/projects/panel-plugins/xfce4-notes-plugin
Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-notes-plugin.git
Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-notes-plugin

Package: xfce4-notes
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Notes application for the Xfce4 desktop
 The notes tool provides you a simple text editor in a little window for the
 Xfce 4 desktop.  Notes are especially useful for temporary stuff.
 .
 It supports multiple notes through a notebook. Click on the upper left
 corner button to open a new note.

Package: xfce4-notes-plugin
Architecture: any
Depends: xfce4-notes, ${misc:Depends}, ${shlibs:Depends}
Description: Notes plugin for the Xfce4 desktop
 The notes tool provides you a simple text editor in a little window for the
 Xfce 4 desktop.  Notes are especially useful for temporary stuff.
 .
 It supports multiple notes through a notebook. Click on the upper left
 corner button to open a new note.
 .
 This package contains the xfce4-panel plugin.

=== debian/watch ===
version=3
https://archive.xfce.org/src/panel-plugins/xfce4-notes-plugin/([\d\.]+)/ \
	xfce4-notes-plugin-([\d\.]+)\.tar\.(?:gz|bz2)

## xfce4-notes-plugin 1.9.0

=== debian/changelog ===
xfce4-notes-plugin (1.9.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 08 Jul 2021 12:24:49 -0400

xfce4-notes-plugin (1.9.0-1) experimental; urgency=medium

  * d/control: update dh compat level to 12
  * d/control: update standards version to 4.4.1
  * d/watch: use uscan special strings
  * New upstream version 1.9.0
  * d/control: update standards version to 4.5.1
  * d/control: update b-deps for new release
  * d/patches: 01_fix_format-string dropped, included upstream
  * d/rules: switch to dh_missing
  * d/watch: update to standard version 4
  * d/copyright updated

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Jan 2021 09:39:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: xfce4-notes-plugin
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: automake,
-               debhelper-compat (= 11),
+               debhelper-compat (= 12),
                intltool,
-               libgtk2.0-dev,
+               libglib2.0-dev,
+               libgtk-3-dev,
                libtool,
-               libunique-dev,
                libx11-dev,
-               libxfce4ui-1-dev,
-               libxfconf-0-dev,
-               libxml-parser-perl,
-               libxml2-dev,
+               libxfce4panel-2.0-dev (>= 4.14),
+               libxfce4ui-2-dev (>= 4.14),
+               libxfce4util-dev (>= 4.14),
+               libxfconf-0-dev (>= 4.14),
                pkg-config,
-               xfce4-dev-tools,
-               xfce4-panel-dev
-Standards-Version: 4.4.0
+               xfce4-dev-tools (>= 4.16),
+Standards-Version: 4.5.1
 Homepage: https://goodies.xfce.org/projects/panel-plugins/xfce4-notes-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-notes-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-notes-plugin

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_install:
	-rm -rf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/xfce4/panel/plugins/*.la
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -n -X /usr/lib/xfce4/panel/plugins

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## xfce4-notes-plugin 1.10.0

=== debian/changelog ===
xfce4-notes-plugin (1.10.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:37:51 +1100

xfce4-notes-plugin (1.10.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:12:30 +0000

xfce4-notes-plugin (1.10.0-1) unstable; urgency=medium

  [ Akbarkhon Variskhanov ]
  * Add upstream metadata

  [ Yves-Alexis Perez ]
  * New upstream version 1.10.0
  * Upload to unstables (closes: #1021962)

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 18 Jul 2023 21:19:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xfce4-notes-plugin
 Section: xfce
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: automake,

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,3 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## xfce4-notes-plugin 1.11.0

=== debian/changelog ===
xfce4-notes-plugin (1.11.0-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 22 Dec 2024 10:05:29 -0800

xfce4-notes-plugin (1.11.0-2) unstable; urgency=medium

  * d/patches: add tentative patch/workaround for gcc-14 FTBFS
    (closes: #1075660)

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 26 Jul 2024 14:39:42 +0200

xfce4-notes-plugin (1.11.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.11.0.
  * d/control:
    - Drop old version constraints.
    - Update B-D, pkg-config → pkgconf.
    - Bump DH compat to 13.
    - R³: no.
  * d/rules:
    - Drop --as-needed and dh_missing override, now default.
    - Use standard `find` method of removing '.la' files.
    - Opt-out of trimmed changelogs, install NEWS as changelog.
  * d/*.install: Update for new and removed paths.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Sat, 04 May 2024 05:31:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: xfce4-notes-plugin
 Section: xfce
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: automake,
-               debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                intltool,
                libglib2.0-dev,
                libgtk-3-dev,
-               libtool,
                libx11-dev,
-               libxfce4panel-2.0-dev (>= 4.14),
-               libxfce4ui-2-dev (>= 4.14),
-               libxfce4util-dev (>= 4.14),
-               libxfconf-0-dev (>= 4.14),
-               pkg-config,
-               xfce4-dev-tools (>= 4.16),
-Standards-Version: 4.5.1
+               libxfce4panel-2.0-dev,
+               libxfce4ui-2-dev,
+               libxfce4util-dev,
+               libxfconf-0-dev,
+               pkgconf,
+               xfce4-dev-tools
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Homepage: https://goodies.xfce.org/projects/panel-plugins/xfce4-notes-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-notes-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-notes-plugin

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	find debian -name '*.la' -delete

override_dh_installchangelogs:
	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS

override_dh_makeshlibs:
	dh_makeshlibs -n -X /usr/lib/xfce4/panel/plugins

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## xfce4-notes-plugin 1.11.1

=== debian/changelog ===
xfce4-notes-plugin (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * d/p/0001-Fix-FTBFS-with-gcc-14.patch dropped, included upstream
  * d/control: add b-d on libgtksourceview-4-dev

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Jan 2025 21:36:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: xfce4-notes-plugin
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                intltool,
                libglib2.0-dev,
                libgtk-3-dev,
+               libgtksourceview-4-dev,
                libx11-dev,
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -n -X /usr/lib/xfce4/panel/plugins
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym
